Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LocalQuery

    java.lang.Object
      unity.query.LocalQuery

    public class LocalQuery

extends java.lang.Object

Constructor Summary
`LocalQuery(AnnotatedSourceDatabase db)`
`LocalQuery(GQDatabaseRef db)`

Method Summary
`void` | `execute()`
`java.lang.String` | `getDatabaseName()`
`java.lang.String` | `getErrorMessage()`
`java.sql.ResultSet` | `getResultSet()`
`ResultSetScan` | `getResultSetScan()`
`java.lang.String` | `getSQLQueryString()`
`boolean` | `hasErrorMessage()`
`void` | `setErrorMessage(java.lang.String e)`
`void` | `setResultSet(java.sql.ResultSet rs)`
`void` | `setResultSetConcurrency(int cc)`
`void` | `setResultSetScanOp(ResultSetScan op)`
`void` | `setResultSetType(int type)`
`void` | `setSQLQueryString(java.lang.String queryString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalQuery

    public LocalQuery(AnnotatedSourceDatabase db)

### LocalQuery

    public LocalQuery(GQDatabaseRef db)

Method Detail

### getResultSetScan

    public ResultSetScan getResultSetScan()

### getDatabaseName

    public java.lang.String getDatabaseName()

### setResultSetType

    public void setResultSetType(int type)

### setResultSetConcurrency

    public void setResultSetConcurrency(int cc)

### execute

    public void execute()
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet()

### setResultSet

    public void setResultSet(java.sql.ResultSet rs)

### getSQLQueryString

    public java.lang.String getSQLQueryString()

### setSQLQueryString

    public void setSQLQueryString(java.lang.String queryString)

### setResultSetScanOp

    public void setResultSetScanOp(ResultSetScan op)

### hasErrorMessage

    public boolean hasErrorMessage()

### getErrorMessage

    public java.lang.String getErrorMessage()

### setErrorMessage

    public void setErrorMessage(java.lang.String e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD